<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" id="page" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TIMESHEETS_READ)">
    <input id="dateapproved" th:if="${dateapproved} != null" th:value="${dateapproved}" type="hidden" />
    <input id="limit" th:if="${limit} != null" th:value="${limit}" type="hidden" />
    <form class="ui form" id="timesheet-form" th:object="${timesheet}">
      <div class="ui grid">
        <div class="row">
          <div class="eleven wide column">
            <h2 class="ui header">
              <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TIMESHEET}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESHEET}}"></span>
            </h2>
          </div>
          <div class="three wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MONTH}}"></h4>
            <div class="ui fluid input">
                <select class="ui fluid dropdown" th:field="*{month}" id="ddl-months" onchange="changeDate();">
	              <option value="1" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_JANUARY}}"></option>
	              <option value="2" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FEBRUARY}}"></option>
	              <option value="3" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MARCH}}"></option>
	              <option value="4" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APRIL}}"></option>
	              <option value="5" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MAY}}"></option>
	              <option value="6" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_JUNE}}"></option>
	              <option value="7" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_JULY}}"></option>
	              <option value="8" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AUGUST}}"></option>
	              <option value="9" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SEPTEMBER}}"></option>
	              <option value="10" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_OCTOBER}}"></option>
	              <option value="11" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NOVEMBER}}"></option>
	              <option value="12" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DECEMBER}}"></option>
	            </select>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown" id="ddl-years" onchange="changeDate();" th:field="*{year}">
                <option th:each="element : ${years}" th:text="${element.id}" th:selected="${currentyear == element.id}" th:value="${element.id}"></option>
              </select>
            </div>
          </div>
          <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
        </div>
      </div>
    </form>
    <br />
    <th:block th:fragment="list">
      <div class="row overflow-x">
        <table class="ui compact table " th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <thead>
            <tr>
              <th class="center aligned"></th>
              <th class="center aligned" th:each="element : ${timesheetdays}">
                <span th:text="${element.day.day}"></span><br />
                <span th:text="${#strings.substring(#dates.dayOfWeekNameShort(element.day.date), 0, 1)}"></span>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td><h5 th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></h5></td>
              <td class="center aligned" th:classappend="${element.workingTimeColor}" th:each="element : ${timesheetdays}">
                <span th:text="${element.holiday} ? 0 : ${element.timeSpent} + ${element.hoursAbsence} + ${element.hoursVacation}"></span>
              </td>
            </tr>
            <tr>
              <td><h5 th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NONWORKING_TIME}}"></h5></td>
              <td class="center aligned" th:classappend="${element.nonWorkingTimeColor}" th:each="element : ${timesheetdays}">
                <span th:text="${element.hoursAbsence} + ${element.hoursCompensationDay} + ${element.hoursHoliday} + ${element.hoursVacation}"></span>
              </td>
            </tr>
            <tr>
              <td><h5 th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_MISSING}}"></h5></td>
              <td class="center aligned" th:classappend="${element.missingHoursColor}" th:each="element : ${timesheetdays}">
                <span th:text="${element.compensationDay} or ${element.holiday} ? 0 : ${element.hours} - ${element.timeSpent} - ${element.hoursAbsence} - ${element.hoursCompensationDay} - ${element.hoursHoliday} - ${element.hoursVacation}"></span>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
      <br />
    </th:block>
    <fieldset class="border-round">
      <legend th:text="${'&nbsp;&nbsp;'} + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBTITLE}} + ${'&nbsp;&nbsp;'}"></legend>
      <div class="ui grid">
        <div class="row">
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_LEGEND_ABSENCES}}"></span>
            <div class="color-box absence"></div>
          </div>
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_LEGEND_COMPENSATION}}"></span>
            <div class="color-box compensationday"></div>
          </div>
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_LEGEND_HOLIDAYS}}"></span>
            <div class="color-box holiday"></div>
          </div>
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_LEGEND_VACATIONS}}"></span>
            <div class="color-box vacation"></div>
          </div>
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_LEGEND_COMPLETE}}"></span>
            <div class="color-box ok"></div>
          </div>
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_LEGEND_MISSING}}"></span>
            <div class="color-box warning"></div>
          </div>
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_TIMESHEET_LEGEND_OVERTIME}}"></span>
            <div class="color-box overtime"></div>
          </div>
          <div class="two wide column">
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WEEKEND}}"></span>
            <div class="color-box weekend"></div>
          </div>
        </div>
      </div>
    </fieldset>
    <div th:replace="common/fragments/modal :: modal(large, '')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
    <th:block th:replace="timesheet/fragments/summary :: page" />
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TIMESHEET_JS}}"></script>
</body>
</html>